Draft Zeichnung

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Drawing and the translation is 48% complete.
Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎română • ‎svenska • ‎čeština • ‎русский
Arrow-left.svg Draft Clone.svg Klonen Vorherige:
Nächste: Spiegel Draft Mirror.svg Arrow-right.svg


Die Entwicklung des Arbeitsbereiches Zeichnung wurde in der FreeCAD-Version 0.16 gestoppt; der neue TechDraw Arbeitsbereich der in Version v0.17 eingeführt wurde, soll diesen ersetzen. Beide Arbeitsbereiche werden in Version v0.17 noch unterstützt, aber der Arbeitsbereich Zeichnung wird in zukünftigen Ausgaben entfernt. Daher dürfte die Übersetzung wohl auch nicht mehr weiter gepflegt werden.


Draft Drawing.svg Entwurf Zeichnung

Menüeintrag
Entwurf → Zeichnung
Arbeitsbereich
Entwurf, Arch
Standardtastenkürzel
None
In der Version eingeführt
-
Siehe auch
TechDraw-Arbeitsbereich, Form in 2D Ansicht


Beschreibung

Das Werkzeug Zeichnung erlaubt es, ausgewählte Objekte auf einem Zeichenblatt zu platzieren, das mit dem Drawing-Arbeitsbereich erstellt wurde. Falls kein Blatt im Dokument existiert, wird ein Standardblatt erstellt.

Diese Werkzeug arbeitet ähnlich wie das Zeichnungsansicht-Werkzeug, ist aber für den Draft-Arbeitsbereich optimiert und kann 2D-Objekte mit einer gefüllten Fläche erzeugen. Es kann mit bestimmten Objekten wie Draft Dimension und Draft Text umgehen, was das Zeichnungsansicht-Werkzeug nicht kann.

Draft drawing example.jpg

In eine Zeichenseite importiertes Draft-Objekt und Bemaßungen


Anwendung

  1. Select the objects that you wish to put on a drawing sheet.
  2. In the same selection, add the Drawing Workbench page object in which you want to draw the projection of the objects.
  3. Press the Draft Drawing.svg Draft Drawing button.

Notes

  • The tool will work best with 2D objects from the Draft Workbench or Sketcher Workbench.
  • The selected object can also be an Arch SectionPlane, which will show the elements viewed by that plane.
  • If there is no existing page, a new one will be created.
  • If no page was selected but there is at least one in the document, the first page found will be used to put the projections.
  • If you select a sheet and the objects already projected on that sheet, the projections will be updated.

Optionen

Es gibt keine Optionen für dieses Werkzeug. Entweder funktioniert es mit den ausgewählten Objekten oder nicht.

Properties

  • DataFill Style: specifies the fill style "concrete", "square", "simple", "wood", "line", "cross", "woodgrain", or "shape color". This property only works for closed shapes.
  • DataFont Size: specifies the font size of texts and dimensions.
  • DataLine Width: specifies the line width of viewed objects in millimeters.

Scripting

Siehe auch: Draft API und FreeCAD Scripting Basics.

Das Drawing-Werkzeug kann in Makros und aus der Python-Konsole heraus durch folgende Funktion angesprochen werden:

DrawingView = makeDrawingView(obj, page, lwmod=None, tmod=None, otherProjection=None)
  • Creates a DrawingView from obj in the specified page.
  • If given, lwmod modifies line weights in percentage, and tmod modifies text heights in percentage.

The attributes of the view usually need to be modified so that it is displayed correctly in the drawing page. In particular, the position is controlled by X and Y, which are given in millimeters, and Scale is important to correctly fit the projected shape in the page. The scale usually ranges from 1 to 0.25 (1:1 to 1:4) for small solids, and from 0.02 to 0.01 (1:50 to 1:100) for typical architectural elements.

Beispiel:

import FreeCAD, Draft, Drawing

obj = Draft.makePolygon(5, 1000)
page = FreeCAD.ActiveDocument.addObject('Drawing::FeaturePage', 'Page')
page.Template = FreeCAD.getResourceDir() + 'Mod/Drawing/Templates/A3_Landscape.svg'

View = Draft.makeDrawingView(obj, page)
View.Scale = 0.02
FreeCAD.ActiveDocument.recompute()

View.X = 200
View.Y = 150
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Draft Clone.svg Klonen Vorherige:
Nächste: Spiegel Draft Mirror.svg Arrow-right.svg